Bug 102082 - Text based setup tool is missing some language files
Text based setup tool is missing some language files
Product: Fedora
Classification: Fedora
Component: setuptool (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-08-10 18:54 EDT by Peter van Egdom
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.14-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-13 01:07:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2003-08-10 18:54:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
It seems that the text based setup tool ("setup") is missing some language files :

el.mo (Greek)
hu.mo (Hungarian)
mn.mo (Mongolian)
nl.mo (Dutch)
pt_BR.mo (Brazilian Portuguese)
vi.mo (Vietnamese)

because these aren't present in the source of 'setup' :

el.po (Greek)
hu.po (Hungarian)
mn.po (Mongolian)
nl.po (Dutch)
pt_BR.po (Brazilian Portuguese)
vi.po (Vietnamese)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Checkout "setup" Red Hat Linux release 9.0.93 (Severn)
2. Download src.rpm of setup and look in "po" directory

Actual Results: 
 1. No Dutch in txt based setup tool
 2. Dutch (and other) language support missing

Expected Results: 
 1. Dutch support.
 2. Should be synced with the contents of the i18n CVS tree.

Additional info:
Comment 1 Peter van Egdom 2003-09-27 16:22:24 EDT
Reported bug also applies for Fedora Core release 0.94 (Severn).

Changing product to "Fedora Core" and version to "test2".
Comment 2 Dimitris 2004-03-26 15:15:07 EST
I dont think Greek is supposed to be there, since redhat never
supported Greek out-of-the-box. There was an old redhat8 and redhat9
bug report where redhat stated that we should get Greek support
by hand. Mandrake on the other hand offers Greek out-of-the-box
even from the installation.
Comment 3 Peter van Egdom 2004-04-07 09:03:30 EDT
Reported bug still applies for Fedora Core release 1.91 (FC2).

In the package "setuptool-1.13-2.1" the following languages do not
have corresponding language (.mo) files, although they are 100%
translated in the CVS translation tree (all have a .po file) :

bg - Bulgarian
ca - Catalan
cy - Welsh
et - Estonian
fi - Finnish
hr - Croatian
hu - Hungarian
id - Indonesian
mn - Mongolian
ms - Malay
nl - Dutch
pa - Punjabi
pl - Polish
sk - Slovak
sl - Slovenian
ta - Tamil
uk - Ukrainian
vi - Vietnamese

ps... changing Severity from "normal" to "translation".
Comment 4 Nalin Dahyabhai 2004-04-13 01:07:05 EDT
ALL_LINGUAS in configure.in had falling far out of sync, fixing for 1.14.

Note You need to log in before you can comment on or make changes to this bug.